import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { MissingTeethStatusSchema } from '../enums/MissingTeethStatus.schema'

const makeSchema = () => z.object({
  set: MissingTeethStatusSchema.optional()
}).strict();
export const EnumMissingTeethStatusFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumMissingTeethStatusFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumMissingTeethStatusFieldUpdateOperationsInput>;
export const EnumMissingTeethStatusFieldUpdateOperationsInputObjectZodSchema = makeSchema();
